Installer - Refactor #29437

Drop PuppetDB module from foreman-installer
03/30/2020 02:12 PM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: foreman-installer script
Target version: 2.1.0
Difficulty: Fixed in Releases: 2.1.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/493

Description
From https://community.theforeman.org/t/drop-puppetlabs-puppetdb-from-foreman-installer/17787

This may be something few people know, but today we ship pupptelabs-puppetdb in our installer. The intent was to make it possible
to install PuppetDB.

| don’t have numbers, but today | think nobody actually uses this. There’s no documentation, it’s tricky to set up and we don’t verify it
(it may actually be broken). Adding to that, its maintainers are largely unresponsive. Adding support for new distribution versions and
other module versions is very painful.

Because of that | propose to drop it from the installer in Foreman 2.0. We are currently still at RC2 and the major version is a good
one to do a breaking change.

Associated revisions

Revision e8dd2a62 - 05/04/2020 03:38 PM - Ewoud Kohl van Wijngaarden
Fixes #29437 - Drop PuppetDB module

The intent was to make it possible to install PuppetDB but there’s no
documentation, it’s tricky to set up and we don’t verify it (it may
actually be broken). Adding to that, its maintainers are largely
unresponsive. Adding support for new distribution versions and other
module versions is very painful.

History

#1 - 03/30/2020 02:15 PM - Ewoud Kohl van Wijngaarden
- Description updated

- Target version changed from 2.1.0 to 2.0.0

#2 - 03/30/2020 02:17 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/493 added

#3 - 04/01/2020 01:30 PM - Tomer Brisker
- Target version changed from 2.0.0 to 2.1.0

#4 - 05/04/2020 03:38 PM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#5 - 05/04/2020 04:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed
https://community.theforeman.org/t/drop-puppetlabs-puppetdb-from-foreman-installer/17787

Applied in changeset installer|e8dd2a625190e8285c68e8518b12589e319a1 aff.
